<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Seguridad</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>¿Está Seguro de Eliminar el Usuario {{nombreEliminar}}?</p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger"
            (click)="modal.close()">Eliminar</button>
    </div>
</ng-template>



<div class="">
    <div class="col-sm-12 titulo text-center">
        Asignar Roles a Usuarios
    </div>
</div>
<app-separador></app-separador>
<div class="row">
    <div class="col-sm-12 espacio">

    </div>
</div>

<br>
<!--<button type="button" class="btn btn-outline-danger" (click)="modal.open(contenido)">Crear</button>
-->
<div class="row align-items-start">
    <div class="col-lg-8 col-md-12 col-sm-offset-1">
        <div class="row">

            <div class="col-sm-12">
                <div class="input-group mb-3">
                    <label class="input-group-text colorBuscar" for="nombreB">Buscar</label>
                    <input type="text" id="nombreB" name="nombreB"
                        [(ngModel)]="nombreB"
                        placeholder="Buscar por nombre del Usuario"
                        class="form-control"
                        (keyup)="buscarxNombre()"/>
                </div>
            </div>
        </div>
        <div class="col-lg-12 col-md-12" style="margin-bottom: 3%;">

            <button class=" btn boton" (click)="generarPdf() ">
                <a>Generar Reporte</a>
            </button>
        </div>
        <table class="table table-striped">
            <thead class="table-success">
                <tr>
                    <td>Cod. Usuario</td>
                    <td>Usuario</td>
                    <td>Rol</td>
                    <td>Opciones</td>

                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let datos of usuariosRoles.slice((page-1) *
                    pageSize,page
                    * pageSize) " ng-click="selectPerson(persona)">
                    <td>{{ datos.usuario }}</td>
                    <td>{{datos.nomUsuario}}</td>
                    <td>{{ datos.nomRol }}</td>



                    <td>
                        <button class="btn btn-warning" *ngIf="vactualizar" style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-edit"
                                (click)="seleccionarUsuario(datos.id)"
                                aria-hidden="true"></i>
                        </button>
                        <button class="btn btn-danger" *ngIf="veliminar"
                            style="margin-right:
                            10px; width: 2.5em;">
                            <i class="fa fa-trash" aria-hidden="true"
                                (click)="open(content,datos.id,datos.nomUsuario)"></i>
                        </button>

                    </td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination
        class="pagination-green"
            [(page)]="page"
            [pageSize]="pageSize"
            [collectionSize]="usuariosRoles.length"></ngb-pagination>
    </div>

    <div class="col-lg-4 col-ms-12 ">
        <div class="card">
            <div class="card-body">
                <form name="myForm">
                    <div class="form-group">

                        <div class="row">
                            <div class="col-sm-12 ">
                                <div class="input-group mb-3">
                                    <label class="input-group-text"
                                        for="usuario">Cód. de Usuario</label>
                                    <input type="text" name="example"
                                        list="exampleList" style="width:
                                        8em;" [(ngModel)]="selectedCar"
                                         [attr.disabled]="vcrear &&
                                         btnCrear ? null : true">
                                    <datalist id="exampleList">
                                        <select class="form-select "
                                            id="usuario"
                                            name="usuario">
                                            <option value="0">Seleccionar
                                                Usuario</option>
                                            <option *ngFor="let datos of
                                                usuarios"
                                                [value]="datos.id">
                                                {{datos.nombre}}
                                                {{datos.apellido}}
                                            </option>

                                        </select>
                                    </datalist>
                                </div>

                                <label class="form-label error"
                                    for="usuario"
                                    *ngIf="errorUsuario">{{strUsuario}}</label>
                            </div>
                        </div>


                        <br>
                        <div class="row">
                            <div class="col-sm-12 ">
                                <div class="input-group mb-3">
                                    <label class="input-group-text"
                                        for="rol">Roles</label>
                                    <select class="form-select" id="rol"
                                        name="rol"
                                        [(ngModel)]="usuario.rol">
                                        <option value="0">Seleccionar
                                            Rol</option>
                                        <option *ngFor="let datos of
                                            roles"
                                            [value]="datos.id">
                                            {{datos.nombre}}
                                        </option>

                                    </select>
                                </div>
                                <label class="form-label error"
                                    for="rol"
                                    *ngIf="errorRol">{{strRol}}</label>
                            </div>
                        </div>
                        <div>

                        </div>
                        <div>

                        </div>

                    </div>
                    <hr>


                    <!-- Acciones que podemos realizar en el formulario -->
                    <button type="submit" class="btn btn-success"
                        (click)="crear()" *ngIf="vcrear &&
                        btnCrear">Registrar</button>
                    <button type="submit" class="btn btn-danger"
                        (click)="cancelar()" *ngIf="vcrear &&
                        btnCrear" style="margin-left:
                        10px;">Cancelar</button>
                    <button type="submit" class="btn btn-warning "
                        (click)="actualizar()" *ngIf="vactualizar &&
                        btnModificar">Modificar</button>
                    <button type="submit" class="btn btn-danger "
                        (click)="cancelar()" *ngIf="vactualizar &&
                        btnModificar" style="margin-left:
                        10px;">Cancelar</button>

                </form>
            </div>
        </div>
    </div>
</div>